Index: Makefile.in
===================================================================
--- Makefile.in	(revision b45a4caee41c4635008489b883393fb0fef844d3)
+++ Makefile.in	(revision aee329b3710a66af5006620a9fde538e5a57f1cf)
@@ -15,5 +15,5 @@
 
 BUILD_SUBDIRS	= @BUILD_SUBDIRS@
-BUILD_SUBDIRS1	= @BUILD1_SUBDIRS@
+BUILD1_SUBDIRS	= @BUILD1_SUBDIRS@
 SUBDIRS		= @SUBDIRS@
 
@@ -39,5 +39,5 @@
 	do \
 	  echo ${MAKE} $@ in $${SUBDIR}; \
-	  ( cd $${SUBDIR} && ${MAKE} $@;); \
+	  cd $${SUBDIR} && ${MAKE} $@ && cd ..; \
 	  (if test "$${SUBDIR}" = Texinfo && test -d doc; then \
 		for FILE in ${TEXINFO_TEX_FILES}; \
@@ -53,4 +53,8 @@
 	   fi;); \
 	done
+	echo "***********************************************"
+	echo "* do not forget to install Singular-@SINGULAR_VERSION@-share.tar.gz"
+	echo "***********************************************"
+
 
 maintainer-install uninstall:
Index: configure
===================================================================
--- configure	(revision b45a4caee41c4635008489b883393fb0fef844d3)
+++ configure	(revision aee329b3710a66af5006620a9fde538e5a57f1cf)
@@ -2508,4 +2508,5 @@
 if test "$enable_IntegerProgramming" != no && test -d "IntegerProgramming"; then
    BUILD_SUBDIRS="$BUILD_SUBDIRS IntegerProgramming"
+   BUILD1_SUBDIRS="$BUILD1_SUBDIRS IntegerProgramming"
    echo "$ac_t""yes" 1>&6
    if test "$enable_IntegerProgramming" != yes; then
@@ -2517,5 +2518,5 @@
 
 echo $ac_n "checking whether to build Plural""... $ac_c" 1>&6
-echo "configure:2520: checking whether to build Plural" >&5
+echo "configure:2521: checking whether to build Plural" >&5
 if test "$enable_Plural" != no || test "$with_Plural" != no; then
    echo "$ac_t""yes" 1>&6
@@ -2529,5 +2530,5 @@
 
 echo $ac_n "checking whether to configure and build Texinfo""... $ac_c" 1>&6
-echo "configure:2532: checking whether to configure and build Texinfo" >&5
+echo "configure:2533: checking whether to configure and build Texinfo" >&5
 if test "$enable_Texinfo" != no && test -d Texinfo; then
   echo "$ac_t""yes" 1>&6
@@ -2553,5 +2554,5 @@
 set dummy makeinfo; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2556: checking for $ac_word" >&5
+echo "configure:2557: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_MAKEINFO'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2583,5 +2584,5 @@
 set dummy texi2dvi; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2586: checking for $ac_word" >&5
+echo "configure:2587: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_TEXI2DVI'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2613,5 +2614,5 @@
 set dummy texindex; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2616: checking for $ac_word" >&5
+echo "configure:2617: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_TEXINDEX'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2643,5 +2644,5 @@
 set dummy texi2pdf; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2646: checking for $ac_word" >&5
+echo "configure:2647: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_TEXI2PDF'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2673,5 +2674,5 @@
 
 echo $ac_n "checking whether to configure and build Texi2html""... $ac_c" 1>&6
-echo "configure:2676: checking whether to configure and build Texi2html" >&5
+echo "configure:2677: checking whether to configure and build Texi2html" >&5
 if test "$enable_Texi2html" != no && test -d Texi2html; then
  echo "$ac_t""yes" 1>&6
@@ -2688,5 +2689,5 @@
 set dummy texi2html; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2691: checking for $ac_word" >&5
+echo "configure:2692: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_TEXI2HTML'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2726,5 +2727,5 @@
 
 echo $ac_n "checking whether to build doc""... $ac_c" 1>&6
-echo "configure:2729: checking whether to build doc" >&5
+echo "configure:2730: checking whether to build doc" >&5
 if test "$enable_doc" != no && test -d doc; then
  echo "$ac_t""yes" 1>&6
@@ -2740,5 +2741,5 @@
 
 echo $ac_n "checking whether to build emacs""... $ac_c" 1>&6
-echo "configure:2743: checking whether to build emacs" >&5
+echo "configure:2744: checking whether to build emacs" >&5
 if test "$enable_doc" = yes && test "$enable_emacs" != no && test -d emacs; then
  echo "$ac_t""yes" 1>&6
@@ -2752,5 +2753,5 @@
 
 echo $ac_n "checking which apint package to use""... $ac_c" 1>&6
-echo "configure:2755: checking which apint package to use" >&5
+echo "configure:2756: checking which apint package to use" >&5
 if test "$with_apint" = gmp; then
   if test "$ac_gmp_ok" = yes || test "$enable_gmp" = yes; then
@@ -2768,5 +2769,5 @@
 
 echo $ac_n "checking whether to use with MP""... $ac_c" 1>&6
-echo "configure:2771: checking whether to use with MP" >&5
+echo "configure:2772: checking whether to use with MP" >&5
 if test "$with_MP" = yes; then
   if test "$ac_MP_ok" = yes || test "$enable_MP" = yes; then
@@ -2788,5 +2789,5 @@
 
 echo $ac_n "checking whether to use with factory""... $ac_c" 1>&6
-echo "configure:2791: checking whether to use with factory" >&5
+echo "configure:2792: checking whether to use with factory" >&5
 if test "$with_factory" = yes; then
   if test "$ac_factory_ok" = yes || test "$enable_factory" = yes; then
@@ -2807,5 +2808,5 @@
   
 echo $ac_n "checking whether to use with libfac""... $ac_c" 1>&6
-echo "configure:2810: checking whether to use with libfac" >&5
+echo "configure:2811: checking whether to use with libfac" >&5
 if test "$with_libfac" = yes; then
   if test "$ac_libfac_ok" = yes || test "$enable_libfac" = yes; then
@@ -2828,5 +2829,5 @@
 
 echo $ac_n "checking whether to use with Singular""... $ac_c" 1>&6
-echo "configure:2831: checking whether to use with Singular" >&5
+echo "configure:2832: checking whether to use with Singular" >&5
 if test "$with_Singular" != no && test "$with_Singular" != yes; then
   if test "$enable_Singular" = yes; then
@@ -2891,5 +2892,5 @@
   
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:2894: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:2895: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
Index: configure.in
===================================================================
--- configure.in	(revision b45a4caee41c4635008489b883393fb0fef844d3)
+++ configure.in	(revision aee329b3710a66af5006620a9fde538e5a57f1cf)
@@ -587,4 +587,5 @@
 if test "$enable_IntegerProgramming" != no && test -d "IntegerProgramming"; then
    BUILD_SUBDIRS="$BUILD_SUBDIRS IntegerProgramming"
+   BUILD1_SUBDIRS="$BUILD1_SUBDIRS IntegerProgramming"
    AC_MSG_RESULT(yes)
    if test "$enable_IntegerProgramming" != yes; then
